Modbot Docs
APIAPI referenceAutoMod settings

Get AutoMod settings

GET/api/settings/automod

The AutoMod switch, term lists, AI topics, the AI tools and the daily AI call limit.

Needs the ManageSettings permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/settings/automod"
{  "enabled": true,  "dailyAiCallLimit": 0,  "aiCallsToday": 0,  "aiReady": true,  "lists": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "source": "string",      "enabled": true,      "targets": [        "string"      ],      "deleteMessage": true,      "timeoutMinutes": null,      "setToActBy": null,      "setToActAt": null,      "termCount": 0,      "excludedCount": 0,      "hubId": null,      "hubVersion": null,      "hubFetchedAt": null,      "hubAvailableVersion": null,      "hubAvailableChanges": null,      "hubError": null,      "stats": {        "flags": 0,        "dismissed": 0,        "confirmed": 0,        "byLanguage": null      },      "version": 0,      "acting": true,      "scope": {        "channelMode": "string",        "channels": [          "string"        ],        "exemptRoles": [          "string"        ],        "exemptRolesSkipFlag": true,        "exemptGroupRoles": null      },      "trial": null,      "paused": null,      "tests": {        "samples": 0,        "lastRunAt": null,        "lastRunModel": null,        "caught": null,        "shouldFlag": null,        "wronglyFlagged": null,        "passes": true      },      "contextMessages": 0,      "checkPictures": false,      "openReviewForEachFlag": false,      "groupBan": false,      "groupRemove": false    }  ],  "topics": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "instructions": "string",      "sensitivity": "string",      "enabled": true,      "targets": [        "string"      ],      "deleteMessage": true,      "timeoutMinutes": null,      "setToActBy": null,      "setToActAt": null,      "stats": {        "flags": 0,        "dismissed": 0,        "confirmed": 0,        "byLanguage": null      },      "version": 0,      "acting": true,      "scope": {        "channelMode": "string",        "channels": [          "string"        ],        "exemptRoles": [          "string"        ],        "exemptRolesSkipFlag": true,        "exemptGroupRoles": null      },      "trial": null,      "paused": null,      "tests": {        "samples": 0,        "lastRunAt": null,        "lastRunModel": null,        "caught": null,        "shouldFlag": null,        "wronglyFlagged": null,        "passes": true      },      "contextMessages": 0,      "checkPictures": false,      "openReviewForEachFlag": false,      "groupBan": false,      "groupRemove": false    }  ],  "picturesAvailable": false,  "contextChoices": null,  "aiEnabled": false,  "aiTools": null,  "groupRoles": null}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.